Debian Bug report logs - #435885
manpages-dev: SWAPON(2) does not mention EINVAL for tmpfs

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Michael Prokop <mika@grml.org>

Date: Fri, 3 Aug 2007 22:24:01 UTC

Severity: minor

Tags: fixed-upstream

Found in version manpages/2.62-1

Fixed in version manpages/2.65-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#435885; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@grml.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@grml.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: SWAPON(2) does not mention EINVAL for tmpfs
Date: Sat, 4 Aug 2007 00:20:12 +0200
Package: manpages-dev
Version: 2.62-1
Severity: minor

Quoting swapon(2):

| EINVAL The file path exists, but refers neither to a regular file nor to a block device; or, for swapon(),
|        the  indicated  path  does  not contain a valid swap signature; or, for swapoff(), path is not cur‐
|        rently a swap area.

That's not true if the file is on a tmpfs.

Demonstration:

# dd if=/dev/zero of=/tmp/swap bs=1024 count=100000
100000+0 records in
100000+0 records out
102400000 bytes (102 MB) copied, 0.373442 seconds, 274 MB/s
# mkswap /tmp/swap
Setting up swapspace version 1, size = 102395 kB
no label, UUID=40138114-e7e5-4999-9d94-0a457e320199
# file /tmp/swap
/tmp/swap: Linux/i386 swap file (new style) 1 (4K pages) size 24999 pages
# chmod 0600 /tmp/swap
# swapon /tmp/swap
swapon: /tmp/swap: Invalid argument
# /usr/bin/stat -f -c %T /tmp
tmpfs

IMHO that fact should be mentioned in the manpage.

regards,
-mika-



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#435885; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 435885@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Michael Prokop <mika@grml.org>, 435885@bugs.debian.org
Subject: Re: Bug#435885: manpages-dev: SWAPON(2) does not mention EINVAL for tmpfs
Date: Sun, 05 Aug 2007 10:08:52 +0200
Mika,

Could you phrase your suggested change as a patch?

Thanks,

Michael

Michael Prokop wrote:
> Package: manpages-dev
> Version: 2.62-1
> Severity: minor
> 
> Quoting swapon(2):
> 
> | EINVAL The file path exists, but refers neither to a regular file nor to a block device; or, for swapon(),
> |        the  indicated  path  does  not contain a valid swap signature; or, for swapoff(), path is not cur‐
> |        rently a swap area.
> 
> That's not true if the file is on a tmpfs.
> 
> Demonstration:
> 
> # dd if=/dev/zero of=/tmp/swap bs=1024 count=100000
> 100000+0 records in
> 100000+0 records out
> 102400000 bytes (102 MB) copied, 0.373442 seconds, 274 MB/s
> # mkswap /tmp/swap
> Setting up swapspace version 1, size = 102395 kB
> no label, UUID=40138114-e7e5-4999-9d94-0a457e320199
> # file /tmp/swap
> /tmp/swap: Linux/i386 swap file (new style) 1 (4K pages) size 24999 pages
> # chmod 0600 /tmp/swap
> # swapon /tmp/swap
> swapon: /tmp/swap: Invalid argument
> # /usr/bin/stat -f -c %T /tmp
> tmpfs
> 
> IMHO that fact should be mentioned in the manpage.
> 
> regards,
> -mika-
> 
> 

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7

Want to help with man page maintenance?  Grab the latest tarball at
http://www.kernel.org/pub/linux/docs/manpages/
read the HOWTOHELP file and grep the source files for 'FIXME'.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#435885; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@grml.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #15 received at 435885@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@grml.org>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: 435885@bugs.debian.org
Subject: Re: Bug#435885: manpages-dev: SWAPON(2) does not mention EINVAL for tmpfs
Date: Thu, 9 Aug 2007 01:42:28 +0200
[Message part 1 (text/plain, inline)]
* Michael Kerrisk <mtk-manpages@gmx.net> [20070805 10:10]:

> Mika,
> Could you phrase your suggested change as a patch?

For sure, see attached patch.

thx && regards,
-mika-
[patch_for_swap_on_tmpfs_swapon.2.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#435885; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #20 received at 435885@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Michael Prokop <mika@grml.org>
Cc: 435885@bugs.debian.org, debc <control@bugs.debian.org>
Subject: Re: Bug#435885: manpages-dev: SWAPON(2) does not mention EINVAL for tmpfs
Date: Fri, 10 Aug 2007 11:12:17 +0200
tags 435885 fixed-upstream
thanks


Michael Prokop wrote:
> * Michael Kerrisk <mtk-manpages@gmx.net> [20070805 10:10]:
> 
>> Mika,
>> Could you phrase your suggested change as a patch?
> 
> For sure, see attached patch.

Thanks Mika.

Applied for upstream 2.65.

Cheers,

Michael



> ------------------------------------------------------------------------
> 
> --- swapon.2.orig	2007-08-09 01:17:26.032390227 +0200
> +++ swapon.2	2007-08-09 01:39:20.442053844 +0200
> @@ -117,8 +117,8 @@
>  exists, but refers neither to a regular file nor to a block device;
>  or, for
>  .BR swapon (),
> -the indicated path does not contain a valid swap signature;
> -or, for
> +the indicated path does not contain a valid swap signature or
> +is laying on an in-memory filesystem like tmpfs; or, for
>  .BR swapoff (),
>  .I path
>  is not currently a swap area.

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7

Want to help with man page maintenance?  Grab the latest tarball at
http://www.kernel.org/pub/linux/docs/manpages/
read the HOWTOHELP file and grep the source files for 'FIXME'.




Tags added: fixed-upstream Request was from Michael Kerrisk <mtk-manpages@gmx.net> to control@bugs.debian.org. (Fri, 10 Aug 2007 13:51:08 GMT) Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Prokop <mika@grml.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 435885-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 435885-close@bugs.debian.org
Subject: Bug#435885: fixed in manpages 2.65-1
Date: Mon, 12 Nov 2007 11:47:25 +0000
Source: manpages
Source-Version: 2.65-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.65-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.65-1_all.deb
manpages_2.65-1.diff.gz
  to pool/main/m/manpages/manpages_2.65-1.diff.gz
manpages_2.65-1.dsc
  to pool/main/m/manpages/manpages_2.65-1.dsc
manpages_2.65-1_all.deb
  to pool/main/m/manpages/manpages_2.65-1_all.deb
manpages_2.65.orig.tar.gz
  to pool/main/m/manpages/manpages_2.65.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 435885@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 05 Nov 2007 22:43:23 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.65-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 431480 435415 435885 437112 439560 445085 445086 445087 445088 445089
Changes: 
 manpages (2.65-1) unstable; urgency=low
 .
   * New upstream version
     . Spelling and formatting fixes (closes: Bug#439560)
     . Correction of EINVAL in swapon(2) (closes: Bug#435885)
     . Clarify utimes() behaviour in utime(2) (closes: Bug#431480)
     . remove ambiguity in description in copysign(3) (closes: Bug#435415)
     . document stolen time in proc(5) (closes: Bug#437112)
   * Fix spelling error in iso_8859-2(7) (closes: Bug#445085)
   * Fixed typo in missing(7) (closes: Bug#445087)
   * Fixed typos in ip(7) (closes: Bug#445088)
   * Fixed typo in hier(7) (closes: Bug#445086)
   * Improvement to services(5) by A. Costa (closes: Bug#445089)
Files: 
 488233a627242111810be6b0b4067545 584 doc important manpages_2.65-1.dsc
 8dcdc34d0314a148513f5502a3f17377 1267435 doc important manpages_2.65.orig.tar.gz
 1a1558531f901fef4c483e08acebdfda 57767 doc important manpages_2.65-1.diff.gz
 c9c35669a07a00b1e8e13e67ee1c19d9 531534 doc important manpages_2.65-1_all.deb
 ba6ebed1192c98882c481d5ac911651f 1289244 doc optional manpages-dev_2.65-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHMCFAW5ql+IAeqTIRAqlVAJ4yhsPOwDbin4RI1fQQllsBdTaY2gCdHo+m
pIggNd2zvyJSpaaF4fcqs9Q=
=EvU8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 17 Dec 2007 07:57:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:24:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.